commit:     d458e1c111772ab50f57bc817dc43a1e65dcb82f
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Thu May 13 20:25:37 2021 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Thu May 13 20:26:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d458e1c1

net-firewall/firewalld: version bump to 0.9.3

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 net-firewall/firewalld/Manifest               |   1 +
 net-firewall/firewalld/firewalld-0.9.3.ebuild | 117 ++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/net-firewall/firewalld/Manifest b/net-firewall/firewalld/Manifest
index d30f9b0bc22..f695b67b7c1 100644
--- a/net-firewall/firewalld/Manifest
+++ b/net-firewall/firewalld/Manifest
@@ -1,3 +1,4 @@
 DIST firewalld-0.7.1.tar.gz 2326020 BLAKE2B 
1ab435bfd97608ce246657a24daebe6ca83f72560a627c702e940de64bf4fb34f26ebe9abf62468972fd8cd9394c5e885acd6882ec3cad112dfe62bca3905c7a
 SHA512 
6be842d4c2849f56fc0e6c13219aed7d767635a3b190ef41f1516cecf51de71ad9af77ccc96b699d11bed56407abf9837cdbd0cfbf93ab716b5de5e4c2f94c68
 DIST firewalld-0.7.3.tar.gz 1247590 BLAKE2B 
80b34749ab47fa3f2733c6c2fe6dec9483b38baa3485c91875888ecce4bacc16a05e69d5734aaed017408ec2ba8b33155aa0c08e93b1f8eac5c6708682edf238
 SHA512 
49ab1403b29b215ef69d54baf9060826917ab2a6d632f0a53b458170576639e74580e4399e5c78a74bf12a4999479db86aadacbc17c749ab25e9de8ed686146f
 DIST firewalld-0.9.1.tar.gz 1335885 BLAKE2B 
0952039f1f50d6395921bea5ad031c5d21d9be04c5d0b09074f9fce76c29a1ab5acf23f0ee8442ae0c2a4e12e28a42edae40f9b536b007cf747c4eab60e43a04
 SHA512 
aa29fb8926285d6cc7aff318921cf84cacd7c3e4cecacd9b48bf8b5e16502ceedd8ec6cd78546d2373d084230277e0f43c1e655441eda76fe898960d6f2d46b6
+DIST firewalld-0.9.3.tar.gz 1309371 BLAKE2B 
78a86f9c14ed8cc2497f3b79e4be627a28dcdcd4e8117438cb24142643bd16dc624196a80ce2c9f81c63f745c1b1430b2e8c2f3f1061f98fd4fa58f6227def81
 SHA512 
6ae45652225a3b983c0f67307208df171cf4794da5873a84b4a827753b8d93736f0538e06d31cd8177446827691886a58a493b6be1dcf6efd1a550f8886522f4

diff --git a/net-firewall/firewalld/firewalld-0.9.3.ebuild 
b/net-firewall/firewalld/firewalld-0.9.3.ebuild
new file mode 100644
index 00000000000..03a747cb130
--- /dev/null
+++ b/net-firewall/firewalld/firewalld-0.9.3.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit autotools bash-completion-r1 gnome2-utils l10n linux-info 
python-single-r1 systemd xdg-utils
+
+DESCRIPTION="A firewall daemon with D-BUS interface providing a dynamic 
firewall"
+HOMEPAGE="http://www.firewalld.org/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="gui +nftables +iptables"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       !!net-firewall/gshield
+       nftables? ( net-firewall/nftables[python,json] )
+       iptables? (
+               net-firewall/iptables[ipv6]
+               net-firewall/ebtables
+               net-firewall/ipset
+               nftables? ( net-firewall/nftables[xtables(+)] )
+       )
+       || ( >=sys-apps/openrc-0.11.5 sys-apps/systemd )
+       $(python_gen_cond_dep '
+               dev-python/dbus-python[${PYTHON_MULTI_USEDEP}]
+               dev-python/decorator[${PYTHON_MULTI_USEDEP}]
+               >=dev-python/python-slip-0.2.7[dbus,${PYTHON_MULTI_USEDEP}]
+               dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+               gui? (
+                       x11-libs/gtk+:3
+                       dev-python/PyQt5[gui,widgets,${PYTHON_MULTI_USEDEP}]
+               )
+       ')"
+
+DEPEND="${RDEPEND}
+       dev-libs/glib:2
+       >=dev-util/intltool-0.35
+       sys-devel/gettext"
+
+RESTRICT="test" # bug 650760
+
+PLOCALES="ar as bg bn_IN ca cs da de el en_GB en_US es et eu fi fr gl gu hi hu 
ia id it ja ka kn ko lt ml mr nl or pa pl pt pt_BR ru sk sq sr sr@latin sv ta 
te tr uk zh_CN zh_TW"
+
+pkg_setup() {
+       local CONFIG_CHECK="~NF_CONNTRACK ~NETFILTER_XT_MATCH_CONNTRACK"
+
+       # kernel >= 4.19 has unified a NF_CONNTRACK module, bug 692944
+       if kernel_is -lt 4 19; then
+               CONFIG_CHECK="${CONFIG_CHECK} ~NF_CONNTRACK_IPV4 
~NF_CONNTRACK_IPV6"
+       fi
+
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       default
+       eautoreconf
+
+       l10n_find_plocales_changes "po" "" ".po"
+       l10n_get_locales | sed -e 's/ /\n/g' > po/LINGUAS
+}
+
+src_configure() {
+       python_setup
+
+       local econf_args=(
+               --enable-systemd
+               $(use_with iptables iptables "${EPREFIX}/sbin/iptables")
+               $(use_with iptables iptables_restore 
"${EPREFIX}/sbin/iptables-restore")
+               $(use_with iptables ip6tables "${EPREFIX}/sbin/ip6tables")
+               $(use_with iptables ip6tables_restore 
"${EPREFIX}/sbin/ip6tables-restore")
+               $(use_with iptables ebtables "${EPREFIX}/sbin/ebtables")
+               $(use_with iptables ebtables_restore 
"${EPREFIX}/sbin/ebtables-restore")
+               $(use_with iptables ipset "${EPREFIX}/usr/sbin/ipset")
+               --with-systemd-unitdir="$(systemd_get_systemunitdir)"
+               --with-bashcompletiondir="$(get_bashcompdir)"
+       )
+       econf "${econf_args[@]}"
+}
+
+src_install() {
+       default
+       python_optimize
+
+       # Get rid of junk
+       rm -rf "${D}/etc/sysconfig/" || die
+
+       # For non-gui installs we need to remove GUI bits
+       if ! use gui; then
+               rm -rf "${D}/etc/xdg/autostart" || die
+               rm -f "${D}/usr/bin/firewall-applet" || die
+               rm -f "${D}/usr/bin/firewall-config" || die
+               rm -rf "${D}/usr/share/applications" || die
+               rm -rf "${D}/usr/share/icons" || die
+       fi
+
+       newinitd "${FILESDIR}"/firewalld.init firewalld
+}
+
+pkg_preinst() {
+       gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       gnome2_schemas_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+       gnome2_schemas_update
+}

Reply via email to